| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Call Pickup Group

Call Pickup Group Definitions and Methods. More...

## Classes
struct | unsp__LocalMemberResult
| Local Member result. More...
struct | unsp__LocalMembersResult
| Local Members result. More...
struct | unsp__RemoteCpuGroupId
| Remote Call Pickup Group ID. More...
struct | unsp__RemoteMemberResult
| Remote Member result. More...
struct | unsp__RemoteMembersResult
| Remote Members result. More...
struct | unsp__LocalCpuMemberData
| Local Call Pickup Group Member Data. More...
struct | unsp__LocalCpuMemberDataList
| Local Call Pickup Group Member Data List. More...
struct | unsp__RemoteCpuGroupData
| Remote Call Pickup Group Data. More...
struct | unsp__RemoteCpuGroupDataList
| Remote Call Pickup Group Data List. More...
struct | unsp__CpuGroupData
| Call Pickup Group Data. More...
struct | unsp__AddCpuGroupRequest
| Add Call Pickup Group request. More...
struct | unsp__AddCpuGroupResult
| Add Call Pickup Group result. More...
struct | unsp__ModifyCpuGroupRequest
| Modify Call Pickup Group request. More...
struct | unsp__ModifyCpuGroupResult
| Modify Call Pickup Group result. More...
struct | unsp__DeleteBGCpuRequest
| Delete Call Pickup Group request. More...
struct | unsp__BGCpuResult
| Call Pickup Group result. More...
struct | unsp__CpuGroupEntry
| Call Pickup Group Entry. More...
struct | unsp__GetCpuGroupListRequest
| Get Call Pickup Group List request. More...
struct | unsp__CpuGroupList
| Call Pickup Group List. More...
struct | unsp__GetCpuGroupListResult
| Get Call Pickup Group List result. More...
struct | unsp__CpuGroupMemberEntry
| Call Pickup Group Member Entry. More...
struct | unsp__CpuGroupMemberList
| Call Pickup Group Member List. More...
struct | unsp__GetCpuGroupMemberListResult
| Get Call Pickup Group Member List result. More...
struct | unsp__GetLocalCpuMemberListRequest
| Get Local Call Pickup Group Members List request. More...
struct | unsp__LocalCpuMemberEntry
| Local Call Pickup Group Member Entry. More...
struct | unsp__LocalCpuMemberList
| Local Call Pickup Group Member List. More...
struct | unsp__GetLocalCpuMemberListResult
| Get Local Call Pickup Group Members List result. More...
struct | unsp__RemoteCpuGroupListEntries
| Remote Call Pickup Group List Entries. More...
struct | unsp__RemoteCpuGroupList
| Remote Call Pickup Group List. More...
struct | unsp__GetRemoteCpuGroupListRequest
| Get Remote Call Pickup Group List request. More...
struct | unsp__GetRemoteCpuGroupListResult
| Get Remote Call Pickup Group List result. More...
struct | unsp__AddLocalCpuMembersRequest
| Add Local Call Pickup Group Members request. More...
struct | unsp__AddLocalCpuMembersResult
| Add Local Call Pickup Group Members result. More...
struct | unsp__ModifyLocalCpuMembersRequest
| Modify Local Call Pickup Group Members request. More...
struct | unsp__ModifyLocalCpuMembersResult
| Modify Local Call Pickup Group Members result. More...
struct | unsp__LocalCpuMemberIdsList
| Local Call Pickup Group Members ID List. More...
struct | unsp__RemoveLocalCpuMembersRequest
| Remove Local Call Pickup Group Members request. More...
struct | unsp__RemoveLocalCpuMembersResult
| Remove Local Call Pickup Group Members result. More...
struct | unsp__AddRemoteCpuGroupsRequest
| Add Remote Call Pickup Groups request. More...
struct | unsp__AddRemoteCpuGroupsResult
| Add Remote Call Pickup Groups result. More...
struct | unsp__ModifyRemoteCpuGroupsRequest
| Modify Remote Call Pickup Groups request. More...
struct | unsp__ModifyRemoteCpuGroupsResult
| Modify Remote Call Pickup Groups result. More...
struct | unsp__RemoteCpuGroupIdsList
| Remote Call Pickup Groups ID List. More...
struct | unsp__RemoveRemoteCpuGroupsRequest
| Remove Remote Call Pickup Groups result. More...
struct | unsp__RemoveRemoteCpuGroupsResult
| Remove Remote Call Pickup Groups result. More...
struct | unsp__GetTotalCPUCountUsedRequest
| Get Total Call Pickup Group Count Used request. More...
struct | unsp__GetTotalCPUCountUsedResult
| Get Total Call Pickup Group Count Used result. More...

## Enumerations
enum | unsp__CpuGroupCIDPresentation { CpuGroupCIDPresentationAllowed, CpuGroupCIDPresentationRestricted }
| Indicates whether Caller ID Presentation is allowed. More...
enum | unsp__CpuGroupSortType { SortByLcpgID, SortByCountOfLocalMembers, SortByCountOfRemoteMembers, SortByTotalCount, SortByCpuGroupName, SortByCpuNotificationDelayTimer }
| Call Pickup Group sort Type. More...
enum | unsp__RCPGSortType { SortByGroupNumber, SortByGroupAccessCode, SortByHiPathDXGroup }
| Remote Call Pickup Group sort Type. More...

## Functions
int | unsp__AddCpuGroup (struct unsp__AddCpuGroupRequest AddCpuGroupRequest, struct unsp__AddCpuGroupResult *AddCpuGroupResult)
| Adds a Call Pickup Group. More...
int | unsp__ModifyCpuGroup (struct unsp__ModifyCpuGroupRequest ModifyCpuGroupRequest, struct unsp__ModifyCpuGroupResult *ModifyCpuGroupResult)
| Modifies a Call Pickup Group. More...
int | unsp__DeleteBGCpu2 (struct unsp__DeleteBGCpuRequest DeleteBGCpuRequest, struct unsp__BGCpuResult *BGCpuResult)
| Deletes a Call Pickup Group. More...
int | unsp__GetCpuGroupList (struct unsp__GetCpuGroupListRequest GetCpuGroupListRequest, struct unsp__GetCpuGroupListResult *GetCpuGroupListResult)
| Retrieves the list of Call Pickup Groups under a Business Group. More...
int | unsp__GetCpuGroupMemberList (struct unsp__GetCpuGroupListRequest GetCpuGroupMemberListRequest, struct unsp__GetCpuGroupMemberListResult *GetCpuGroupMemberListResult)
| Retrieves the list of Local Members and Remote Groups for the specified Call Pickup Group. More...
int | unsp__GetLocalCpuMemberList (struct unsp__GetLocalCpuMemberListRequest GetLocalCpuMemberListRequest, struct unsp__GetLocalCpuMemberListResult *GetLocalCpuMemberListResult)
| Retrieves the list of Local Members for the specified Call Pickup Group. More...
int | unsp__GetRemoteCpuGroupList (struct unsp__GetRemoteCpuGroupListRequest GetRemoteCpuGroupListRequest, struct unsp__GetRemoteCpuGroupListResult *GetRemoteCpuGroupListResult)
| Retrieves the list of Remote Groups for the specified Call Pickup Group. More...
int | unsp__AddLocalCpuMembers (struct unsp__AddLocalCpuMembersRequest AddLocalCpuMembersRequest, struct unsp__AddLocalCpuMembersResult *AddLocalCpuMembersResult)
| Adds Local Members to the specified Call Pickup Group. More...
int | unsp__ModifyLocalCpuMembers (struct unsp__ModifyLocalCpuMembersRequest ModifyLocalCpuMembersRequest, struct unsp__ModifyLocalCpuMembersResult *ModifyLocalCpuMembersResult)
| Modifies the data of the specified Local Members of a Call Pickup Group. More...
int | unsp__RemoveLocalCpuMembers (struct unsp__RemoveLocalCpuMembersRequest RemoveLocalCpuMembersRequest, struct unsp__RemoveLocalCpuMembersResult *RemoveLocalCpuMembersResult)
| Removes the specified Local Members from a Call Pickup Group. More...
int | unsp__AddRemoteCpuGroups (struct unsp__AddRemoteCpuGroupsRequest AddRemoteCpuGroupsRequest, struct unsp__AddRemoteCpuGroupsResult *AddRemoteCpuGroupsResult)
| Adds Remote Groups to a Call Pickup Group. More...
int | unsp__ModifyRemoteCpuGroups (struct unsp__ModifyRemoteCpuGroupsRequest ModifyRemoteCpuGroupsRequest, struct unsp__ModifyRemoteCpuGroupsResult *ModifyRemoteCpuGroupsResult)
| Modifies the specified Remote Groups of a Call Pickup Group. More...
int | unsp__RemoveRemoteCpuGroups (struct unsp__RemoveRemoteCpuGroupsRequest RemoveRemoteCpuGroupsRequest, struct unsp__RemoveRemoteCpuGroupsResult *RemoveRemoteCpuGroupsResult)
| Removes the specified Remote Groups from a Call Pickup Group. More...
int | unsp__GetTotalCPUCountUsed (struct unsp__GetTotalCPUCountUsedRequest GetTotalCPUCountUsedRequest, struct unsp__GetTotalCPUCountUsedResult *TotalCPUCountUsedResult)
| Retrieves the total number of Call Pickup Groups under the specified Business Group. More...

## Detailed Description

Call Pickup Group Definitions and Methods.

The Call Pickup Group (CPG) feature permits to combine several subscribers of the same BG (Business Group) into a pickup group, which allow one group member to answer a call on behalf of another member.

A pickup group can consist of a combination of different user endpoint types, such as DFTs (Digital Feature Telephones) or keyset telephones. A call to any member in the group can be picked up at any other station in the group. When two or more members in the group are ringing at the same time, calls are answered in order of arrival; therefore, the call ringing the longest is automatically picked up first. For each group, up to eight ringing lines are queued for pickup. If a ninth call rings, it cannot be picked up even if other calls leave the queue or it later becomes the only ringing line in the pickup group. If there are no alerting calls for the group, and a pickup is attempted, the member who attempts the pickup receives an error indication. This indication might be an interrupted dial tone, a message on the display, or an error tone.

For every Local Call pickup group it is possible to create a list of Remote Pickup groups located in HiPath 4000 and/or HiPath 8000 private SIPQ network, i.e., a CPU Group may span across the SIPQ as long as the groups are administered within the same BG. Remote groups may belong to only one local group.

The administrator configures the pickup groups and creates feature access codes for call pickup initiation from the endpoints. Furthermore, these feature access codes can be assigned to function keys on the group members' phones. CPG network access and routing must be administered and managed across the network (i.e., source-BG access code, destination access codes and destination group numbers).

## Enumeration Type Documentation

## ◆ unsp__CpuGroupCIDPresentation

enum unsp__CpuGroupCIDPresentation

Indicates whether Caller ID Presentation is allowed.

Enumerator
CpuGroupCIDPresentationAllowed | Allowed.
CpuGroupCIDPresentationRestricted | Restricted.

## ◆ unsp__CpuGroupSortType

enum unsp__CpuGroupSortType

Call Pickup Group sort Type.

Enumerator
SortByLcpgID | Sort By Call Pickup Group ID.
SortByCountOfLocalMembers | Sort By Local Member Count.
SortByCountOfRemoteMembers | Sort By Remote Group Count.
SortByTotalCount | Sort By Total Count.
SortByCpuGroupName | Sort By Call Pickup Group Name.
SortByCpuNotificationDelayTimer | Sort By Notification Delay Timer.

## ◆ unsp__RCPGSortType

enum unsp__RCPGSortType

Remote Call Pickup Group sort Type.

Enumerator
SortByGroupNumber | Sort By Remote Group Number.
SortByGroupAccessCode | Sort By Remote Group Access Code.
SortByHiPathDXGroup | Sort By whether the Remote Group is located in a HiPath DX.

## Function Documentation

## ◆ unsp__AddCpuGroup()

int unsp__AddCpuGroup | ( | struct unsp__AddCpuGroupRequest | AddCpuGroupRequest,
|  | struct unsp__AddCpuGroupResult * | AddCpuGroupResult
| ) |  |

Adds a Call Pickup Group.

Parameters

  AddCpuGroupRequest | API request
  AddCpuGroupResult | API result MP2 command: ACPU [Attributes]

## ◆ unsp__AddLocalCpuMembers()

unsp__AddLocalCpuMembers | ( | struct unsp__AddLocalCpuMembersRequest | AddLocalCpuMembersRequest,
|  | struct unsp__AddLocalCpuMembersResult * | AddLocalCpuMembersResult
| ) |  |

Adds Local Members to the specified Call Pickup Group.

Parameters

  AddLocalCpuMembersRequest | API request
  AddLocalCpuMembersResult | API result MP2 command: ALOCALCPU [Attributes]

## ◆ unsp__AddRemoteCpuGroups()

unsp__AddRemoteCpuGroups | ( | struct unsp__AddRemoteCpuGroupsRequest | AddRemoteCpuGroupsRequest,
|  | struct unsp__AddRemoteCpuGroupsResult * | AddRemoteCpuGroupsResult
| ) |  |

Adds Remote Groups to a Call Pickup Group.

Parameters

  AddRemoteCpuGroupsRequest | API request
  AddRemoteCpuGroupsResult | API result MP2 command: AREMOTECPU [Attributes]

## ◆ unsp__DeleteBGCpu2()

unsp__DeleteBGCpu2 | ( | struct unsp__DeleteBGCpuRequest | DeleteBGCpuRequest,
|  | struct unsp__BGCpuResult * | BGCpuResult
| ) |  |

Deletes a Call Pickup Group.

Parameters

  DeleteBGCpuRequest | API request
  BGCpuResult | API result MP2 command: RCPU [Attributes]

## ◆ unsp__GetCpuGroupList()

unsp__GetCpuGroupList | ( | struct unsp__GetCpuGroupListRequest | GetCpuGroupListRequest,
|  | struct unsp__GetCpuGroupListResult * | GetCpuGroupListResult
| ) |  |

Retrieves the list of Call Pickup Groups under a Business Group.

Parameters

  GetCpuGroupListRequest | API request
  GetCpuGroupListResult | API result

## ◆ unsp__GetCpuGroupMemberList()

unsp__GetCpuGroupMemberList | ( | struct unsp__GetCpuGroupListRequest | GetCpuGroupMemberListRequest,
|  | struct unsp__GetCpuGroupMemberListResult * | GetCpuGroupMemberListResult
| ) |  |

Retrieves the list of Local Members and Remote Groups for the specified Call Pickup Group.

Parameters

  GetCpuGroupMemberListRequest | API request
  GetCpuGroupMemberListResult | API result

## ◆ unsp__GetLocalCpuMemberList()

unsp__GetLocalCpuMemberList | ( | struct unsp__GetLocalCpuMemberListRequest | GetLocalCpuMemberListRequest,
|  | struct unsp__GetLocalCpuMemberListResult * | GetLocalCpuMemberListResult
| ) |  |

Retrieves the list of Local Members for the specified Call Pickup Group.

Parameters

  GetLocalCpuMemberListRequest | API request
  GetLocalCpuMemberListResult | API result

## ◆ unsp__GetRemoteCpuGroupList()

unsp__GetRemoteCpuGroupList | ( | struct unsp__GetRemoteCpuGroupListRequest | GetRemoteCpuGroupListRequest,
|  | struct unsp__GetRemoteCpuGroupListResult * | GetRemoteCpuGroupListResult
| ) |  |

Retrieves the list of Remote Groups for the specified Call Pickup Group.

Parameters

  GetRemoteCpuGroupListRequest | API request
  GetRemoteCpuGroupListResult | API result

## ◆ unsp__GetTotalCPUCountUsed()

unsp__GetTotalCPUCountUsed | ( | struct unsp__GetTotalCPUCountUsedRequest | GetTotalCPUCountUsedRequest,
|  | struct unsp__GetTotalCPUCountUsedResult * | TotalCPUCountUsedResult
| ) |  |

Retrieves the total number of Call Pickup Groups under the specified Business Group.

Parameters

  GetTotalCPUCountUsedRequest | API request
  TotalCPUCountUsedResult | API result

## ◆ unsp__ModifyCpuGroup()

unsp__ModifyCpuGroup | ( | struct unsp__ModifyCpuGroupRequest | ModifyCpuGroupRequest,
|  | struct unsp__ModifyCpuGroupResult * | ModifyCpuGroupResult
| ) |  |

Modifies a Call Pickup Group.

Parameters

  ModifyCpuGroupRequest | API request
  ModifyCpuGroupResult | API result MP2 command: MCPU [Attributes]

## ◆ unsp__ModifyLocalCpuMembers()

unsp__ModifyLocalCpuMembers | ( | struct unsp__ModifyLocalCpuMembersRequest | ModifyLocalCpuMembersRequest,
|  | struct unsp__ModifyLocalCpuMembersResult * | ModifyLocalCpuMembersResult
| ) |  |

Modifies the data of the specified Local Members of a Call Pickup Group.

Parameters

  ModifyLocalCpuMembersRequest | API request
  ModifyLocalCpuMembersResult | API result MP2 command: MLOCALCPU [Attributes]

## ◆ unsp__ModifyRemoteCpuGroups()

unsp__ModifyRemoteCpuGroups | ( | struct unsp__ModifyRemoteCpuGroupsRequest | ModifyRemoteCpuGroupsRequest,
|  | struct unsp__ModifyRemoteCpuGroupsResult * | ModifyRemoteCpuGroupsResult
| ) |  |

Modifies the specified Remote Groups of a Call Pickup Group.

Parameters

  ModifyRemoteCpuGroupsRequest | API request
  ModifyRemoteCpuGroupsResult | API result MP2 command: MREMOTECPU [Attributes]

## ◆ unsp__RemoveLocalCpuMembers()

unsp__RemoveLocalCpuMembers | ( | struct unsp__RemoveLocalCpuMembersRequest | RemoveLocalCpuMembersRequest,
|  | struct unsp__RemoveLocalCpuMembersResult * | RemoveLocalCpuMembersResult
| ) |  |

Removes the specified Local Members from a Call Pickup Group.

Parameters

  RemoveLocalCpuMembersRequest | API request
  RemoveLocalCpuMembersResult | API result MP2 command: RLOCALCPU [Attributes]

## ◆ unsp__RemoveRemoteCpuGroups()

unsp__RemoveRemoteCpuGroups | ( | struct unsp__RemoveRemoteCpuGroupsRequest | RemoveRemoteCpuGroupsRequest,
|  | struct unsp__RemoveRemoteCpuGroupsResult * | RemoveRemoteCpuGroupsResult
| ) |  |

Removes the specified Remote Groups from a Call Pickup Group.

Parameters

  RemoveRemoteCpuGroupsRequest | API request
  RemoveRemoteCpuGroupsResult | API result MP2 command: RREMOTECPU [Attributes]